import serial
import pygpibtoolkit.prologix_emulator as PE

import pytest


@pytest.fixture(scope='session')
def newemulator():
    emul = PE.PrologixEmulator()
    cnx = serial.Serial(emul.serialurl, timeout=0)
    yield (emul, cnx)
    emul.close()
    cnx.close()


@pytest.fixture
def emulator(newemulator):
    emul, cnx = newemulator
    emul.reset()
    return emul, cnx
